<template src="./template.html"></template>

<script lang="ts">
import { getModule, Watch } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import CountryFlag from "vue-country-flag";
import axios from "axios";
import { apiErrorHandler, redirectPage } from "@/utils/apiHanlers";
import AdminCollectionModule from "~/store/adminCollection";
import { api } from "~/common/constaint";
import _ from "lodash";
@Component({
	components: {
		node: () => import("../NodeChild/index.vue"),
	},
})
export default class AdminTreeCollectionComponent extends Vue {
	adminCollection = getModule(AdminCollectionModule, this.$store);

	@Prop()
	node!: any;

	@Prop()
	lengthParent!: number;

	get collectionId() {
		return this.$store.state.adminCollection.collectionId;
	}

	set collectionId(item: string) {
		this.$store.commit("adminCollection/setCollectionId", item);
	}

	mounted() {}
}
</script>

<style>
</style>

